<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>change &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>change
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">35 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">change</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine change(target_string, cmd, ierr)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>change(3f) - [M_strings:EDITING] change old string to new string with a directive like a line editor
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>subroutine change(target_string,cmd,ierr)

 character(len=*),intent(inout) :: target_string
 character(len=*),intent(in)    :: cmd
 integer                        :: ierr
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code><span class="n">change</span> <span class="n">an</span> <span class="n">old</span> <span class="n">substring</span> <span class="n">into</span> <span class="n">a</span> <span class="n">new</span> <span class="n">substring</span> <span class="ow">in</span> <span class="n">a</span> <span class="n">character</span> <span class="n">variable</span>
<span class="n">like</span> <span class="n">a</span> <span class="n">line</span> <span class="n">editor</span><span class="o">.</span> <span class="n">Primarily</span> <span class="n">used</span> <span class="n">to</span> <span class="n">create</span> <span class="n">interactive</span> <span class="n">utilities</span>
<span class="n">such</span> <span class="k">as</span> <span class="n">input</span> <span class="n">history</span> <span class="n">editors</span> <span class="k">for</span> <span class="n">interactive</span> <span class="n">line</span><span class="o">-</span><span class="n">mode</span> <span class="n">programs</span><span class="o">.</span> <span class="n">The</span>
<span class="n">output</span> <span class="n">string</span> <span class="k">is</span> <span class="n">assumed</span> <span class="n">long</span> <span class="n">enough</span> <span class="n">to</span> <span class="n">accommodate</span> <span class="n">the</span> <span class="n">change</span><span class="o">.</span>
<span class="n">a</span> <span class="n">directive</span> <span class="n">resembles</span> <span class="n">a</span> <span class="n">line</span> <span class="n">editor</span> <span class="n">directive</span> <span class="n">of</span> <span class="n">the</span> <span class="n">form</span>

   <span class="n">C</span><span class="o">/</span><span class="n">old_string</span><span class="o">/</span><span class="n">new_string</span><span class="o">/</span>

<span class="n">where</span> <span class="o">/</span> <span class="n">may</span> <span class="n">be</span> <span class="n">any</span> <span class="n">character</span> <span class="n">which</span> <span class="k">is</span> <span class="ow">not</span> <span class="n">included</span> <span class="ow">in</span> <span class="n">old_string</span>
<span class="ow">or</span> <span class="n">new_string</span><span class="o">.</span>

<span class="n">a</span> <span class="nb nb-Type">null</span> <span class="n">old_string</span> <span class="n">implies</span> <span class="s2">&quot;beginning of string&quot;</span><span class="o">.</span>
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code>target_string  line to be changed
cmd            contains instructions to change the string
ierr           error code.

   o =-1 bad directive
   o =0 no changes made
   o &gt;0 count of changes made
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Sample program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_change</span>

 <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">change</span>
 <span class="nv">implicit</span> <span class="nv">none</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">132</span><span class="ss">)</span> :: <span class="nv">line</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">This is a test string to change</span><span class="s1">&#39;</span>
 <span class="nv">integer</span>            :: <span class="nv">ierr</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">trim</span><span class="ss">(</span><span class="nv">line</span><span class="ss">)</span>

    <span class="o">!</span> <span class="nv">change</span> <span class="nv">miniscule</span> <span class="nv">a</span> <span class="nv">to</span> <span class="nv">uppercase</span> <span class="nv">A</span>
    <span class="k">call</span> <span class="nl">change</span><span class="ss">(</span><span class="nv">line</span>,<span class="s1">&#39;</span><span class="s">c/a/A/</span><span class="s1">&#39;</span>,<span class="nv">ierr</span><span class="ss">)</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">trim</span><span class="ss">(</span><span class="nv">line</span><span class="ss">)</span>

    <span class="o">!</span> <span class="nv">put</span> <span class="nv">string</span> <span class="nv">at</span> <span class="nv">beginning</span> <span class="nv">of</span> <span class="nv">line</span>
    <span class="k">call</span> <span class="nl">change</span><span class="ss">(</span><span class="nv">line</span>,<span class="s1">&#39;</span><span class="s">c//prefix: /</span><span class="s1">&#39;</span>,<span class="nv">ierr</span><span class="ss">)</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">trim</span><span class="ss">(</span><span class="nv">line</span><span class="ss">)</span>

    <span class="o">!</span> <span class="nv">remove</span> <span class="nv">blanks</span>
    <span class="k">call</span> <span class="nl">change</span><span class="ss">(</span><span class="nv">line</span>,<span class="s1">&#39;</span><span class="s">c/ //</span><span class="s1">&#39;</span>,<span class="nv">ierr</span><span class="ss">)</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">trim</span><span class="ss">(</span><span class="nv">line</span><span class="ss">)</span>

<span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_change</span>

<span class="nv">Expected</span> <span class="nv">output</span>

 <span class="nv">This</span> <span class="nv">is</span> <span class="nv">a</span> <span class="nv">test</span> <span class="nv">string</span> <span class="nv">to</span> <span class="nv">change</span>
 <span class="nv">This</span> <span class="nv">is</span> <span class="nv">A</span> <span class="nv">test</span> <span class="nv">string</span> <span class="nv">to</span> <span class="nv">chAnge</span>
 <span class="nv">prefix</span>: <span class="nv">This</span> <span class="nv">is</span> <span class="nv">A</span> <span class="nv">test</span> <span class="nv">string</span> <span class="nv">to</span> <span class="nv">chAnge</span>
 <span class="nv">prefix</span>:<span class="nv">ThisisAteststringtochAnge</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-target_string"></span>character(len=*),</td>
  <td>intent(inout)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>target_string</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cmd%7E3"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>cmd</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ierr%7E5"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ierr</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~change~~CallsGraph Pages: 1 -->
<svg id="procchangeCallsGraph" width="156pt" height="74pt"
 viewBox="0.00 0.00 156.00 74.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~change~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 70)">
<title>proc~~change~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-70 152,-70 152,4 -4,4"/>
<!-- proc~change -->
<g id="proc~~change~~CallsGraph_node1" class="node">
<title>proc~change</title>
<polygon fill="none" stroke="#000000" points="54,-45 0,-45 0,-21 54,-21 54,-45"/>
<text text-anchor="middle" x="27" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">change</text>
</g>
<!-- proc~substitute -->
<g id="proc~~change~~CallsGraph_node2" class="node">
<title>proc~substitute</title>
<g id="a_proc~~change~~CallsGraph_node2"><a xlink:href=".././proc/substitute.html" xlink:title="substitute">
<polygon fill="#d9534f" stroke="#d9534f" points="148,-66 90,-66 90,-42 148,-42 148,-66"/>
<text text-anchor="middle" x="119" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">substitute</text>
</a>
</g>
</g>
<!-- proc~change&#45;&gt;proc~substitute -->
<g id="proc~~change~~CallsGraph_edge1" class="edge">
<title>proc~change&#45;&gt;proc~substitute</title>
<path fill="none" stroke="#000000" d="M54.1054,-39.1871C62.1818,-41.0306 71.1988,-43.0888 79.8811,-45.0707"/>
<polygon fill="#000000" stroke="#000000" points="79.3151,-48.5314 89.8432,-47.3447 80.8729,-41.707 79.3151,-48.5314"/>
</g>
<!-- proc~strtok -->
<g id="proc~~change~~CallsGraph_node3" class="node">
<title>proc~strtok</title>
<g id="a_proc~~change~~CallsGraph_node3"><a xlink:href=".././proc/strtok.html" xlink:title="strtok">
<polygon fill="#d94e8f" stroke="#d94e8f" points="146,-24 92,-24 92,0 146,0 146,-24"/>
<text text-anchor="middle" x="119" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">strtok</text>
</a>
</g>
</g>
<!-- proc~change&#45;&gt;proc~strtok -->
<g id="proc~~change~~CallsGraph_edge2" class="edge">
<title>proc~change&#45;&gt;proc~strtok</title>
<path fill="none" stroke="#000000" d="M54.1054,-26.8129C62.8245,-24.8227 72.6397,-22.5822 81.9467,-20.4578"/>
<polygon fill="#000000" stroke="#000000" points="82.8,-23.8531 91.7704,-18.2155 81.2422,-17.0287 82.8,-23.8531"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>